#include "SDL/SDL.h"
#include "SDL/SDL_image.h"
#include "SDL/SDL_mixer.h"

#include "../functions/surfaces.hpp"
#include "../functions/collision.hpp"

#ifndef FLOWER_HPP_
#define FLOWER_HPP_

const int FlowerNumber = 6;

class flowers{

	private:

		SDL_Surface* FlowerSheet;
		SDL_Rect Coords[ FlowerNumber ];
		SDL_Rect OriginalCoords[ FlowerNumber ];
		bool isCollectable[ FlowerNumber ];
		bool isCollected[ FlowerNumber ];
		SDL_Rect Offsets[ 6 ];
		int Energy[ FlowerNumber ];

		int Frame[ FlowerNumber ];

		bool Found;

	public:

		flowers();
		~flowers();

		SDL_Surface* getSheet();
		int* getFrame();
		SDL_Rect* getOffset();
		SDL_Rect* getCoords();
		SDL_Rect* getOriginalCoords();
		bool* Collected();

		void move( int, int, bool, bool, bool );

		void collect( int& );

		void show_stats( SDL_Surface* &, bool, bool );

		bool isFound();

};

#endif /* FLOWER_HPP_ */
